中危 libradosstriper在用户输入中处理任意printf占位符

CVE编号

CVE-2017-7519

利用情况

暂无

补丁情况

官方补丁

披露时间

2018-07-28
漏洞描述
在Ceph中,在libradosstriper解析用户输入的方式中发现了格式字符串缺陷。用户可能使用libradosstriper库使应用程序或服务崩溃。<br>
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 ceph ceph - -
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
运行在以下环境
系统 debian_9 ceph * Up to
(excluding)
10.2.11-1
运行在以下环境
系统 ubuntu_16.04.7_lts ceph * Up to
(excluding)
10.2.10-0ubuntu0.16.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts ceph * Up to
(excluding)
12.2.1-0ubuntu1
阿里云评分
6.1
  • 攻击路径
    本地
  • 攻击复杂度
    容易
  • 权限要求
    普通权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-134 使用外部控制的格式字符串
阿里云安全产品覆盖情况